cancel
Showing results for 
Search instead for 
Did you mean: 
bruciels1961
Canine II

Afraid to Update

Discuss updating to 8.01 from 7.93 with others who have had success 

2 Replies
CS Dental Employee
CS Dental Employee

Re: Afraid to Update

bruciels1961‌,

I understand your concern. I've seen my share of failed updates. 

I hope some fellow PracticeWorks users will share their experience. Until then, I'll give you my experience updating offices from 7.x to 8.0.

I ran the beta program for this version and did the installs myself (with the exception of the beta Cloud office). Prior to updating I always made sure there was a backup of the data. That way if something did go wrong, getting back to 7 would be easy. 

All of the installs (9 total) went through without issue. Since you're already on 7.9 I assume you meet the system requirements and should have no issues on that front. 

If you have any other questions I can help with please let me know.

Moderator
Moderator

Re: Afraid to Update

The only system requirement I personally would be concerned with is if the office has any computers running on Windows XP or if the server is Windows 2003 server.  PracticeWorks 7.10 and higher will not install on these two versions of Windows.  Since they are no longer given security patches from Microsoft, they are no longer considered HIPAA compliant so we made it so newer versions of PracticeWorks will not work on them.

7.9 does still work on XP and 2003 servers, so if you do plan to update, those computers would need to be replaced with Windows 7, 8, or 10 machines.

-Johnathan

0 Kudos
Reply